textures/trickmap2/greengoo
{
	cull disable
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	TessSize 256
	deformVertexes wave 45 sin 5 4 2 .6
	//deformVertexes wave 64 sin 16 15 0 .5
	//tessSize 64
	q3map_surfaceLight 50
	fogparms ( 0 0.2 0 ) 1024
	{ 
		map textures/trickmap2/greengoo.jpg
		//blendfunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale .5 .5
		// tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}


textures/trickmap2/stillgreengoo
{
	cull disable
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	TessSize 256
	deformVertexes wave 45 sin 5 4 2 .6
	q3map_surfaceLight 50
	qer_editorImage textures/trickmap2/greengoo.jpg
	fogparms ( 0 0.2 0 ) 1024
	{ 
		map textures/trickmap2/greengoo.jpg
		rgbgen identity
		tcmod scale .5 .5
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}

textures/trickmap2/stillbluegoo
{
	cull disable
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	TessSize 256
	deformVertexes wave 45 sin 5 4 2 .6
	q3map_surfaceLight 50
	qer_editorImage textures/trickmap2/bluegoo.jpg
	fogparms ( 0 0 0.2 ) 1024
	{ 
		map textures/trickmap2/bluegoo.jpg
		rgbgen identity
		tcmod scale .5 .5
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}


textures/trickmap2/innerpipe
{
	qer_editorimage "textures/trickmap2/greengoo.jpg"
	cull disable
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	q3map_surfaceLight 50
	fogparms ( 0 0.2 0 ) 1024
	{ 
		map textures/trickmap2/greengoo.jpg
		//blendfunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale .5 .5
		// tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 1
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}
textures/trickmap2/faintyellow
{
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/trickmap2/faintyellow.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
}

textures/trickmap2/metalfloor
{
	surfaceparm	metalsteps
	{
		map textures/trickmap2/metalfloor.jpg
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/skateboard/skateramp
{
	qer_editorImage textures/trickmap2/wood.jpg
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm detail
	{
		map textures/trickmap2/wood.jpg	
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
	{
		map textures/trickmap2/tint.tga
		tcgen environment
		blendfunc gl_dst_color gl_src_color
	}
}
textures/skateboard/skatetop
{
	qer_editorImage textures/trickmap2/concrete.jpg
	surfaceparm nodamage
	surfaceparm detail
	{
		map textures/trickmap2/concrete.jpg
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/trickmap2/dancelight
{
	qer_editorImage textures/trickmap2/greenlight.tga
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	q3map_surfaceLight 1800
	{
		animMap 10 textures/trickmap2/yellowlight.tga textures/trickmap2/greenlight.tga textures/trickmap2/redlight.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/trickmap2/unfoog
{
	qer_editorImage textures/trickmap2/unfoog.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/trickmap2/unfoog.tga
		//alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//depthwrite
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
		depthFunc equal
	}
}


textures/trickmap2/slicey
{
	qer_editorImage textures/trickmap2/slicey.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/trickmap2/slicey.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
		depthFunc equal
	}
}
textures/trickmap2/deqth
{
	qer_editorImage textures/trickmap2/deqth.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/trickmap2/deqth.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
		depthFunc equal
	}
}

textures/trickmap2/secretdoor
{
	qer_editorImage textures/bbq/01_bluewall.jpg
	{
		map textures/bbq/01_bluewall.jpg
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}
